Bug 43800 - pilot-link-0.9.5-4.src.rpm fails to build
pilot-link-0.9.5-4.src.rpm fails to build
Product: Red Hat Raw Hide
Classification: Retired
Component: pilot-link (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2001-06-07 03:04 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-07 03:04:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-07 03:04:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-5 i686)

Description of problem:
pilot-link-0.9.5-4.src.rpm fails to build with libtool>=1.4. With 1.3.5-8
installed all is OK.
Output with 1.4 intalled:
cd ./libsock ; make  libpisock.la
make[1]: Entering directory `/usr/src/redhat/BUILD/pilot-link/libsock'
../libtool --mode=compile gcc -I../include -I./../include -O2 -march=i686
-Wall -c socket.c
../libtool: test: =: unary operator expected
mkdir .libs
gcc -I../include -I./../include -O2 -march=i686 -Wall -c socket.c  -fPIC
mv -f  .libs/socket.lo
mv: missing file argument
Try `mv --help' for more information.
make[1]: *** [socket.lo] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/pilot-link/libsock'
make: *** [libsock/libpisock.la] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.37662 (%build)

How reproducible:

Steps to Reproduce:
1. Rebuild from source

Additional info:
Comment 1 Ngo Than 2001-06-15 16:12:29 EDT
It's fixed in pilot-link-0.9.5-5.

Note You need to log in before you can comment on or make changes to this bug.